Mercury API
Create Method (uriString)
Namespaces ► ThingMagic ► Reader ► Create(String)
Return an instance of a Reader class associated with a serial reader on a particular communication port.
Declaration Syntax

C# | Visual Basic | Visual C++

    public static Reader Create(
    	string uriString
    )

    Public Shared Function Create ( _
    	uriString As String _
    ) As Reader

    public:
    static Reader^ Create(
    	String^ uriString
    )

Parameters

uriString (String)
  Identifies the reader to connect to with a URI syntax. The scheme can be "eapi" for the embedded module protocol, "rql" for the request query language, or "tmr" to guess. The remainder of the string identifies the _stream that the protocol will be spoken over, either a local host serial port device or a TCP network port. Examples include: "eapi:///dev/ttyUSB0" "eapi:///com1" "eapi://modproxy.example.com:2500/" "rql://reader.example.com/" "tmr:///dev/ttyS0" "tmr://192.168.1.101:80/"

Return Value
Reader object associated with device
Remarks
Set autoConnect to false if you need to reconfigure the reader object before opening any physical interfaces (e.g., attach a transport listener to monitor the init sequence, set a nonstandard baud rate or transport timeout.) If autoConnect is false, Create will just create the reader object, which may then be configured before the actual connection is made by calling its Connect method.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)